{
  "name": "jmj-srm-web",
  "version": "1.0.0",
  "description": "JMJ SRM System Fontend",
  "private": true,
  "scripts": {
    "start": "cross-env BROWSER=none HOST=0.0.0.0 roadhog dev",
    "build": "roadhog build",
    "analyze": "cross-env ANALYZE=1 roadhog build",
    "test": "jest --coverage",
    "lint": "tslint -c tslint.json -p tsconfig.json",
    "report": "node report.js"
  },
  "engines": {
    "node": ">=8.0.0"
  },
  "jest": {
    "verbose": true,
    "transform": {
      "^.+\\.tsx?$": "<rootDir>/node_modules/ts-jest/preprocessor.js"
    },
    "testRegex": "(/__tests__/.*|(\\.|/)(test))\\.(jsx?|tsx?)$",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "jsx",
      "json"
    ]
  },
  "dependencies": {
    "@antv/data-set": "^0.8.7",
    "@babel/polyfill": "^7.0.0-beta.46",
    "@babel/runtime": "^7.0.0-beta.46",
    "antd": "^3.4.1",
    "axios": "^0.17.1",
    "base64-js": "^1.2.1",
    "bizcharts": "^3.1.10",
    "bpmn-js": "^1.3.0",
    "braft-editor": "^2.1.34",
    "braft-extensions": "^0.0.13",
    "classnames": "^2.2.5",
    "date-fns": "^1.29.0",
    "diagram-js": "^1.2.0",
    "dva": "^2.2.2",
    "dva-loading": "^2.0.0",
    "dva-model-extend": "^0.1.2",
    "ejs-loader": "^0.3.0",
    "handlebars": "^4.0.11",
    "handlebars-loader": "^1.7.0",
    "less-vars-to-js": "^1.2.0",
    "lodash.debounce": "^4.0.8",
    "mathjs": "^4.0.0",
    "moment": "^2.20.1",
    "nprogress": "^0.2.0",
    "raven-js": "^3.22.1",
    "react": "^16.2.0",
    "react-collapse": "^4.0.3",
    "react-dom": "^16.2.0",
    "react-helmet": "^5.2.0",
    "react-motion": "^0.5.2",
    "react-ueditor-wrap": "^1.0.5",
    "sockjs-client": "^1.1.4",
    "styled-components": "^3.0.2"
  },
  "devDependencies": {
    "@babel/plugin-transform-runtime": "^7.0.0-beta.44",
    "@types/jest": "^21.1.5",
    "@types/ramda": "^0.25.21",
    "@types/react": "^16.0.18",
    "@types/react-dom": "^16.0.2",
    "@types/react-router": "^4.0.16",
    "babel-plugin-dva-hmr": "^0.4.1",
    "babel-plugin-import": "^1.6.3",
    "babel-plugin-transform-decorators-legacy": "^1.3.4",
    "copy-webpack-plugin": "^4.2.0",
    "cross-env": "^5.1.3",
    "expect": "^1.20.2",
    "html-webpack-plugin": "^2.30.1",
    "html-webpack-template": "^6.0.2",
    "husky": "^0.14.3",
    "jest": "^22.1.4",
    "mockjs": "^1.0.1-beta3",
    "path-to-regexp": "^2.1.0",
    "ramda": "^0.25.0",
    "redbox-react": "^1.6.0",
    "roadhog": "^2.4.2",
    "source-map-loader": "^0.2.3",
    "stylelint": "^8.4.0",
    "stylelint-config-css-modules": "^1.2.0",
    "stylelint-config-recommended": "^2.0.1",
    "stylelint-config-standard": "^18.0.0",
    "ts-import-plugin": "^1.4.3",
    "ts-jest": "^21.1.4",
    "ts-loader": "^3.3.1",
    "tslint": "^5.9.1",
    "tslint-html-report": "^1.0.7",
    "tslint-react": "^3.4.0",
    "typescript": "^2.6.1"
  }
}
